Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DbChannel..::.Close Method
DbChannel Class See Also Send Feedback

Close the channel.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public void Close()

Visual Basic (Declaration)
    Public Sub Close

Visual C++
    public:
    void Close()

# Remarks

All channels must be closed before the encompassing environment is closed. Also, all on-going messaging operations on the channel should be allowed to complete before attempting to close the channel.

After close, regardless of its return, the DbChannel may not be accessed again.

# See Also

DbChannel Class
BerkeleyDB Namespace